import Main from './main.vue'
import Vue from 'vue'
let SnackBarConstructor = Vue.extend(Main)
let instance
let seed = 1

const Snackbar = (options) => {
    if (Vue.prototype.$isServer) return;
    options = options || {};
    if (typeof options === 'string') {
        options = {
            message: options
        };
    }
    let id = 'snackbar_' + seed++;
    instance = new SnackBarConstructor({
        data: options
    });
    instance.id = id;
    instance.$mount();
    document.getElementById('app').appendChild(instance.$el);
    return instance;
}

['success', 'info', 'error'].forEach(type => {
    Snackbar[type] = options => {
        if (typeof options === 'string') {
            options = {
                message: options
            };
        }
        switch(type) {
            case 'success':
                options.color = '#43A047';
                options.timeout = 1500
                break;
            case 'info':
                options.color = '#03A9F4';
                options.timeout = 1500
                break;
            case 'error':
                options.color = '#FF5252';
                options.timeout = 4000
                break;
        }
        return Snackbar(options);
    };
});

export default Snackbar