import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    // 全局背景图片
    bg_img_url: '',
    // 用户信息
    user_info: '',
  },
  mutations: {
    // 设置全局背景图片
    SET_BGIMGURL(state, bg_img_url) {
      state.bg_img_url = bg_img_url;
    },
    // 设置用户信息
    SET_USERINFO(state, user_info) {
      state.user_info = user_info;
    },
  },
  actions: {
    // 设置全局背景图片
    setBgImgUrl({ commit }, arg) {
      commit('SET_BGIMGURL', arg[0]);
			localStorage.setItem("storeState", JSON.stringify(arg[1].$store.state));
    },
    // 设置用户信息
    setUserInfo({ commit }, arg) {
      commit('SET_USERINFO', arg[0]);
			localStorage.setItem("storeState", JSON.stringify(arg[1].$store.state));
    },
  },
  modules: {
  }
})
